## org.python.modules
Class gc

    java.lang.Object
      org.python.modules.gc

    public class gc

extends Object

Field Summary
`static String` `__doc__`
`static String` `__name__`

Constructor Summary
`gc()`

Method Summary
`static void` `collect()`
`static void` `disable()`
`static void` `enable()`
`static PyObject` `get_count()`
`static int` `get_debug()`
`static PyObject` `get_objects()`
`static PyObject` `get_referents(PyObject[] args, String[] kwargs)`
`static PyObject` `get_referrers(PyObject[] args, String[] kwargs)`
`static PyObject` `get_threshold()`
`static boolean` `isenabled()`
`static void` `set_debug(int flags)`
`static void` `set_threshold(PyObject[] args, String[] kwargs)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __doc__

    public static final String __doc__

See Also:
  Constant Field Values

### __name__

    public static final String __name__

See Also:
  Constant Field Values

Constructor Detail

### gc

    public gc()

Method Detail

### enable

    public static void enable()

### disable

    public static void disable()

### isenabled

    public static boolean isenabled()

### collect

    public static void collect()

### get_count

    public static PyObject get_count()

### set_debug

    public static void set_debug(int flags)

### get_debug

    public static int get_debug()

### set_threshold

    public static void set_threshold(PyObject[] args,
                                     String[] kwargs)

### get_threshold

    public static PyObject get_threshold()

### get_objects

    public static PyObject get_objects()

### get_referrers

    public static PyObject get_referrers(PyObject[] args,
                                         String[] kwargs)

### get_referents

    public static PyObject get_referents(PyObject[] args,
                                         String[] kwargs)

Jython homepage